User account creation filtered due to spam.

Bug 7623 - SCO OpenServer build fails with machmode.def: undefined symbol: BITS_PER_UNIT
Summary: SCO OpenServer build fails with machmode.def: undefined symbol: BITS_PER_UNIT
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.1
: P3 normal
Target Milestone: ---
Assignee: Robert Lipe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-17 16:06 UTC by william
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description william 2002-08-17 16:06:00 UTC
gcc-3.1 builds under SCO OpenServer 5.0.5 using the SCO
dev sys fail with
"machmode.def: undefined symbol: BITS_PER_UNIT".
Reverting the ChangeLog entry below would probably fix
the problem.
> 2002-04-24  Robert Lipe  <robertlipe@usa.net>
>       * config/i386/sco5.h(i386.h, att.h): Eliminate double inclusion.
The ChangeLog for gcc-3.2 does not have any indications that
this has been fixed.

Release:
gcc-3.1

Environment:
SCO OpenServer 5.0.5, SCO dev sys

How-To-Repeat:
Build gcc-3.1 under SCO OpenServer 5.0.5 with the SCO dev sys.
It will probably happen on all versions of SCO OpenServer 5.
Comment 1 william 2002-08-17 16:06:00 UTC
Fix:
I built gcc-3.2 using the patch below.

--- gcc-3.2/gcc/config.gcc      Tue Aug  6 11:20:55 2002
+++ bgcc-3.2/gcc/config.gcc     Thu Aug 15 16:18:59 2002
@@ -1400,17 +1400,17 @@
        tmake_file="i386/t-rtems-i386 i386/t-crtstuff t-rtems"
        if test x$enable_threads = xyes; then
          thread_file='rtems'
        fi
        ;;
 i[34567]86-*-sco3.2v5*)        # 80386 running SCO Open Server 5
        xm_defines=POSIX
        install_headers_dir=install-headers-cpio
-       tm_file=i386/sco5.h
+       tm_file="i386/i386.h i386/att.h i386/sco5.h"
        if test x$gas = xyes
        then
                tm_file="usegas.h ${tm_file}"
                tmake_file=i386/t-sco5gas
        else
                tmake_file=i386/t-sco5
        fi
        extra_parts="crti.o crtbegin.o crtend.o crtbeginS.o crtendS.o"
Comment 2 Zack Weinberg 2002-08-17 20:59:06 UTC
State-Changed-From-To: open->analyzed
State-Changed-Why: Submitter provided candidate patch.
Comment 3 Zack Weinberg 2002-08-17 21:08:02 UTC
Responsible-Changed-From-To: unassigned->robertl
Responsible-Changed-Why: Assigning to SCO port maintainer.
    Note that this is a regression from 3.0.
Comment 4 Richard Henderson 2002-10-23 11:17:19 UTC
State-Changed-From-To: analyzed->closed
State-Changed-Why: http://gcc.gnu.org/ml/gcc/2002-10/msg01414.html